Project

General

Profile

Bug #9291

PHP5 EOL

Added by Andy Postnikov 10 months ago. Updated 5 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Aports
Target version:
Start date:
08/20/2018
Due date:
% Done:

100%

Estimated time:
Affected versions:
Security IDs:

Description

As php5 is EOL in 31 Dec 2018 https://secure.php.net/supported-versions.php

- remove php5* packages & fix dependencies (5 - cacti-php5, phoronix-test-suite, phpldapadmin, rutorrent, zoneminder)
- rename php7 packages prefix to php-
- for 3.9 release split peal/non-pecl packages like #9277


Related issues

Related to Alpine Linux - Support #9277: Rename PHP PECL delivered packages Closed08/18/2018

Related to Alpine Linux - Feature #6810: php5-fileinfo missingClosed02/04/2017

Related to Alpine Linux - Feature #6353: Package request: php5-gmagick Closed10/14/2016

History

#1 Updated by Andy Postnikov 10 months ago

  • Related to Support #9277: Rename PHP PECL delivered packages added

#2 Updated by Andy Postnikov 10 months ago

phoronix-test-suite & cacti has php7 support so just needs removal of php5

phpldapadmin has fork to work with php7 https://github.com/breisig/phpLDAPadmin (but has no releases)

Needs testing - no mentions about issues with php7
https://github.com/ZoneMinder/zoneminder
https://github.com/Novik/ruTorrent/

#3 Updated by Andy Postnikov 10 months ago

#4 Updated by Andy Postnikov 10 months ago

#5 Updated by Andy Postnikov 8 months ago

Instead of suhosin we added testing/php7-diseval https://github.com/alpinelinux/aports/pull/5061

so only 4 packages needs testing:
- phpldapadmin - not clear cos mostly unmaintained
- zoneminder
- rutorrent
- drupal7 - waiting for release 7.61 (otherwise there's 3 patches) https://groups.drupal.org/node/534483

#6 Updated by Natanael Copa 6 months ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100

#7 Updated by Natanael Copa 5 months ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF